<?php
// Block direct access
if( !defined( 'ABSPATH' ) ){
    exit();
}
/**
 * @Packge     : Taxiar
 * @Version    : 1.0
 * @Author     : Themeholy
 * @Author URI : https://themeforest.net/user/themeholy
 *
 */

// enqueue css
function taxiar_common_custom_css(){
	wp_enqueue_style( 'taxiar-color-schemes', get_template_directory_uri().'/assets/css/color.schemes.css' );

    $CustomCssOpt  = taxiar_opt( 'taxiar_css_editor' );
	if( $CustomCssOpt ){
		$CustomCssOpt = $CustomCssOpt;
	}else{
		$CustomCssOpt = '';
	}

    $customcss = "";
    
    if( get_header_image() ){
        $taxiar_header_bg =  get_header_image();
    }else{
        if( taxiar_meta( 'page_breadcrumb_settings' ) == 'page' ){
            if( ! empty( taxiar_meta( 'breadcumb_image' ) ) ){
                $taxiar_header_bg = taxiar_meta( 'breadcumb_image' );
            }
        }
    }
    
    if( !empty( $taxiar_header_bg ) ){
        $customcss .= ".breadcumb-wrapper{
            background-image:url('{$taxiar_header_bg}')!important;
        }";
    }
    
	// theme color
	$taxiarthemecolor = taxiar_opt('taxiar_theme_color');
    if( !empty( $taxiarthemecolor ) ){
        list($r, $g, $b) = sscanf( $taxiarthemecolor, "#%02x%02x%02x");

        $taxiar_real_color = $r.','.$g.','.$b;
        if( !empty( $taxiarthemecolor ) ) {
            $customcss .= ":root {
            --theme-color: rgb({$taxiar_real_color});
            }";
        }
    }

     // Heading  color
	$taxiarheadingcolor = taxiar_opt('taxiar_heading_color');
    if( !empty( $taxiarheadingcolor ) ){
        list($r, $g, $b) = sscanf( $taxiarheadingcolor, "#%02x%02x%02x");

        $taxiar_real_color = $r.','.$g.','.$b;
        if( !empty( $taxiarheadingcolor ) ) {
            $customcss .= ":root {
                --title-color: rgb({$taxiar_real_color});
            }";
        }
    }
    // Body color
	$taxiarbodycolor = taxiar_opt('taxiar_body_color');
    if( !empty( $taxiarbodycolor ) ){
        list($r, $g, $b) = sscanf( $taxiarbodycolor, "#%02x%02x%02x");

        $taxiar_real_color = $r.','.$g.','.$b;
        if( !empty( $taxiarbodycolor ) ) {
            $customcss .= ":root {
                --body-color: rgb({$taxiar_real_color});
            }";
        }
    }

    // Body font
    $taxiarbodyfont = taxiar_opt('taxiar_theme_body_font', 'font-family');
    if( !empty( $taxiarbodyfont ) ) {
        $customcss .= ":root {
            --body-font: $taxiarbodyfont ;
        }";
    }

    // Heading font
    $taxiarheadingfont = taxiar_opt('taxiar_theme_heading_font', 'font-family');
    if( !empty( $taxiarheadingfont ) ) {
        $customcss .= ":root {
            --title-font: $taxiarheadingfont ;
        }";
    }

    if(taxiar_opt('taxiar_menu_icon_class')){
        $menu_icon_class = taxiar_opt( 'taxiar_menu_icon_class' );
    }else{
        $menu_icon_class = 'f1ba';
    }

    if( !empty( $menu_icon_class ) ) {
        $customcss .= ".main-menu ul.sub-menu li a:before {
                content: \"\\$menu_icon_class\" !important;
            }";
    }

	if( !empty( $CustomCssOpt ) ){
		$customcss .= $CustomCssOpt;
	}

    wp_add_inline_style( 'taxiar-color-schemes', $customcss );
}
add_action( 'wp_enqueue_scripts', 'taxiar_common_custom_css', 100 );