<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Repeater;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Background;
use \Elementor\Group_Control_Border;
/**
 *
 * Contact Widget .
 *
 */
class Taxseco_Contact_Form extends Widget_Base{

	public function get_name() {
		return 'taxsecocontactform';
	}

	public function get_title() {
		return __( 'Contact Form V2', 'taxiar' );
	}

	public function get_icon() {
		return 'th-icon';
    }

	public function get_categories() {
		return [ 'taxiar' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'contact_section',
			[
				'label' 	=> __( 'Contact Form', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
		);
		$this->add_control(
			'form_style',
			[
				'label' 	=> __( 'Form Style', 'taxiar' ),
				'type' 		=> Controls_Manager::SELECT,
				'default' 	=> '1',
				'options' 	=> [
					'1'  		=> __( 'Style One', 'taxiar' ),
					'2' 		=> __( 'Style Two', 'taxiar' ),
					'3' 		=> __( 'Style Three', 'taxiar' ),
					'4' 		=> __( 'Style Four', 'taxiar' ),
				],
			]
		);
        $this->add_control(
			'contact_form_shortcode',
			[
				'label'     => __( 'Contact Form Shortcode', 'taxiar' ),
				'type'      => Controls_Manager::TEXTAREA,
				'rows'		=> 2,
			]
		);  
		$this->end_controls_section();
	}

	protected function render() {

		$settings = $this->get_settings_for_display();
		echo '<!-----------------------Start Contact Form----------------------->';
			if( $settings['form_style'] == '1' ){
				$style_class = 'booking-form style2';
			}elseif( $settings['form_style'] == '2' ){
				$style_class = 'booking-form';
			}elseif( $settings['form_style'] == '3' ){
				$style_class = 'booking-form3';
			}else{
				$style_class = 'booking-form4';
			}
			echo '<div class="'.esc_attr($style_class).'">';
            	if( ! empty( $settings['contact_form_shortcode'] ) ){
				    echo do_shortcode( $settings['contact_form_shortcode'] );
				}
	        echo '</div>';
		echo '<!-----------------------End Contact Form----------------------->';
	}
}