<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Repeater;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
/**
 *
 * Testimonial Slider Widget .
 *
 */
class Taxseco_Testimonial_Slider extends Widget_Base{

	public function get_name() {
		return 'taxsecotestimonialslider';
	}

	public function get_title() {
		return __( 'Testimonials V2', 'taxiar' );
	}

	public function get_icon() {
		return 'th-icon';
    }

	public function get_categories() {
		return [ 'taxiar' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'testimonial_slider_section',
			[
				'label' 	=> __( 'Testimonial Slider', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
		);

		$this->add_control(
			'testimonial_style',
			[
				'label' 		=> __( 'Testimonial Style', 'taxiar' ),
				'type' 			=> Controls_Manager::SELECT,
				'default' 		=> 'one',
				'options'		=> [
					'one'  			=> __( 'Style One', 'taxiar' ),
					'two' 			=> __( 'Style Two', 'taxiar' ),
					'three' 			=> __( 'Style Three', 'taxiar' ),
				],
			]
		);
		$this->add_control(
			'slider_id',
			[
				'label' 		=> __( 'Slider Id?', 'taxiar' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'default' 		=> 'testi-slide-1',
				'condition' 	=> [
                    'testimonial_style' => 'one'
                ]
			]
		);

		//----------------------------feddback repeter start--------------------------------//

		$repeater = new Repeater();

		$repeater->add_control(
			'client_image',
			[
				'label' 		=> __( 'Client Image', 'taxiar' ),
				'type' 			=> Controls_Manager::MEDIA,
				'default' 		=> [
					'url' => Utils::get_placeholder_image_src(),
				],
			]
		);
		$repeater->add_control(
			'client_name', [
				'label' 		=> __( 'Client Name', 'taxiar' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'rows' 			=> 2,
				'default' 		=> __( 'Rubaida Kanom' , 'taxiar' ),
				'label_block' 	=> true,
			]
        );
		$repeater->add_control(
			'client_designation', [
				'label' 		=> __( 'Client Designation', 'taxiar' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'rows' 			=> 2,
				'default' 		=> __( 'Chef Leader' , 'taxiar' ),
				'label_block' 	=> true,
			]
        );
        $repeater->add_control(
			'client_feedback', [
				'label' 		=> __( 'Client Feedback', 'taxiar' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'default' 		=> __( 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco ' , 'taxiar' ),
				'label_block' 	=> true,
			]
		);
		$repeater->add_control(
			'client_rating',
			[
				'label' 	=> __( 'Client Rating', 'taxiar' ),
				'type' 		=> Controls_Manager::SELECT,
				'default' 	=> '5',
				'options' 	=> [
					'one'  		=> __( 'One Star', 'taxiar' ),
					'two' 		=> __( 'Two Star', 'taxiar' ),
					'three' 	=> __( 'Three Star', 'taxiar' ),
					'four' 		=> __( 'Four Star', 'taxiar' ),
					'five' 	 	=> __( 'Five Star', 'taxiar' ),
				],
			]
		);
		$this->add_control(
			'slides',
			[
				'label' 		=> __( 'Slides', 'taxiar' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'client_name' 		=> __( 'Rubaida Kanom', 'taxiar' ),
						'client_feedback' 	=> __( 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco ', 'taxiar' ),
						'client_image' 		=> Utils::get_placeholder_image_src(),
					],
					[
						'client_name' 		=> __( 'Rubaida Kanom', 'taxiar' ),
						'client_feedback' 	=> __( 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco ', 'taxiar' ),
						'client_image' 		=> Utils::get_placeholder_image_src(),
					],
					[
						'client_name' 		=> __( 'Rubaida Kanom', 'taxiar' ),
						'client_feedback' 	=> __( 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco ', 'taxiar' ),
						'client_image' 		=> Utils::get_placeholder_image_src(),
					],
				],
				'title_field' 	=> '{{{ client_name }}}',
			]
		);

		$this->end_controls_section();


        //-------------------------------general settings-------------------------------//

		$this->start_controls_section(
			'testimonial_general',
			[
				'label' 	=> __( 'General', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_STYLE,
			]
        );
		$this->add_control(
			'feedback_bg_clr',
			[
				'label' 		=> __( 'Feedback Background Color', 'taxiar' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} .testi_box_body' => 'background-color: {{VALUE}}!important;',
					'{{WRAPPER}} .testi_box_img::before' => 'background-color: {{VALUE}}!important;',
				],
			]
		);
		$this->end_controls_section();

		 /*-----------------------------------------Feedback styling------------------------------------*/

		$this->start_controls_section(
			'overview_con_styling',
			[
				'label' 	=> __( 'Feedback Styling', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_STYLE,
			]
        );
        $this->start_controls_tabs(
			'style_tabs2'
		);


		$this->start_controls_tab(
			'style_normal_tab2',
			[
				'label' => esc_html__( 'Nmae', 'taxiar' ),
			]
		);
        $this->add_control(
			'overview_title_color',
			[
				'label' 		=> __( 'Color', 'taxiar' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} h3'	=> 'color: {{VALUE}}!important;',
				],
			]
        );
        $this->add_group_control(
		Group_Control_Typography::get_type(),
		 	[
				'name' 			=> 'overview_title_typography',
		 		'label' 		=> __( 'Typography', 'taxiar' ),
		 		'selector' 	=> '{{WRAPPER}} h3',
			]
		);

        $this->add_responsive_control(
			'overview_title_margin',
			[
				'label' 		=> __( 'Margin', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} h3' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
			]
        );

        $this->add_responsive_control(
			'overview_title_padding',
			[
				'label' 		=> __( 'Padding', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} h3' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
			]
        );
		$this->end_controls_tab();

		//--------------------secound--------------------//

		$this->start_controls_tab(
			'style_hover_tab2',
			[
				'label' => esc_html__( 'Designation', 'taxiar' ),
			]
		);
		$this->add_control(
			'overview_content_color',
			[
				'label' 		=> __( 'Color', 'taxiar' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} span'	=> 'color: {{VALUE}}!important;',
				],
			]
        );
        $this->add_group_control(
		Group_Control_Typography::get_type(),
		 	[
				'name' 			=> 'overview_content_typography',
		 		'label' 		=> __( 'Typography', 'taxiar' ),
		 		'selector' 	=> '{{WRAPPER}} span',
			]
		);

        $this->add_responsive_control(
			'overview_content_margin',
			[
				'label' 		=> __( 'Margin', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} span' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
			]
        );

        $this->add_responsive_control(
			'overview_content_padding',
			[
				'label' 		=> __( 'Padding', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} span' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
			]
        );

		$this->end_controls_tab();

		//--------------------three--------------------//

		$this->start_controls_tab(
			'style_hover_tab3',
			[
				'label' => esc_html__( 'Feedback', 'taxiar' ),
			]
		);
		$this->add_control(
			'testi_feedback_color',
			[
				'label' 		=> __( 'Color', 'taxiar' ),
				'type' 			=> Controls_Manager::COLOR,
				'selectors' 	=> [
					'{{WRAPPER}} p'	=> 'color: {{VALUE}}!important;',
				],
			]
        );
        $this->add_group_control(
		Group_Control_Typography::get_type(),
		 	[
				'name' 			=> 'testi_feedback_typography',
		 		'label' 		=> __( 'Typography', 'taxiar' ),
		 		'selector' 	=> '{{WRAPPER}} p',
			]
		);

        $this->add_responsive_control(
			'testi_feedback_margin',
			[
				'label' 		=> __( 'Margin', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} p' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
			]
        );

        $this->add_responsive_control(
			'testi_feedback_padding',
			[
				'label' 		=> __( 'Padding', 'taxiar' ),
				'type' 			=> Controls_Manager::DIMENSIONS,
				'size_units' 	=> [ 'px', '%', 'em' ],
				'selectors' 	=> [
					'{{WRAPPER}} p' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
			]
        );

		$this->end_controls_tab();

		$this->end_controls_tabs();
		$this->end_controls_section();




	}

	protected function render() {

		$settings = $this->get_settings_for_display();


		
		echo '<!-----------------------Start Testimonials Area----------------------->';

		if( $settings['testimonial_style'] == 'one' ){
			echo '<div class="testimonial-wrapper-1 container th-container">';
				echo '<div class="row slider-shadow th-carousel arrow-wrap" id="'.esc_attr($settings['slider_id']).'" data-slide-show="3" data-lg-slide-show="2" data-md-slide-show="2">';
					foreach( $settings['slides'] as $singleslide ) {
						echo '<div class="col-md-6 col-xl-4">';
		                    echo '<div class="testi-card">';
		                    	if( ! empty( $singleslide['client_feedback'] ) ) {
			                        echo '<p class="testi-card_text">'.wp_kses_post( $singleslide['client_feedback'] ).'</p>';
			                    }
		                        echo '<div class="testi-card_profile">';
		                        	if( ! empty( $singleslide['client_image']['url'] ) ){
			                            echo '<div class="testi-card_img">';
			                                echo taxiar_img_tag( array(
												'url'	=> esc_url( $singleslide['client_image']['url'] ),
											) );
			                            echo '</div>';
			                        }
		                            echo '<div class="testi-card_info">';
		                            	if( ! empty( $singleslide['client_name'] ) ) {
			                                echo '<h3 class="testi-card_name">'.esc_html( $singleslide['client_name'] ).'</h3>';
			                            }
			                            if( ! empty( $singleslide['client_designation'] ) ) {
			                                echo '<span class="testi-card_desig">'.esc_html( $singleslide['client_designation'] ).'</span>';
			                            }
		                            echo '</div>';
		                        echo '</div>';
		                        echo '<div class="testi-card_icon">';
		                            echo '<i class="fas fa-quote-right"></i>';
		                        echo '</div>';
		                    echo '</div>';
		                echo '</div>';
		            }   
	            echo '</div>';
            echo '</div>';
		}elseif( $settings['testimonial_style'] == 'three' ){
		?>
	        <div class="testi-block-area">
				<div class="row th-carousel" id="testi1" data-slide-show="2" data-sm-slide-show="1">
	            	<?php foreach( $settings['slides'] as $singleslide ): ?>
	                <div class="col-lg-6">
	                    <div class="testi-block">
	                    	<?php if( ! empty( $singleslide['client_image']['url'] ) ): ?>
	                        <div class="testi-block_img">
	                            <?php echo taxiar_img_tag( array(
										'url'	=> esc_url( $singleslide['client_image']['url'] ),
									) ); ?>
	                            <div class="testi-block_quote">
	                                <img src="<?php echo TAXIAR_PLUGDIRURI ?>assets/img/quote_right_1.png" alt="icon">
	                            </div>
	                        </div>
	                    	<?php endif; ?>
	                        <?php if( ! empty( $singleslide['client_name'] ) ): ?>
	                        <h3 class="testi-block_name"><?php echo esc_html( $singleslide['client_name'] ); ?></h3>
	                        <?php endif; ?>
	                        <?php if( ! empty( $singleslide['client_designation'] ) ): ?>
	                        <div class="testi-block_desig"><?php echo esc_html( $singleslide['client_designation'] ); ?></div>
	                        <?php endif; ?>
	                        <?php if( ! empty( $singleslide['client_feedback'] ) ): ?>
	                        <div class="testi-block_text"><?php echo esc_html( $singleslide['client_feedback'] ); ?></div>
	                    	<?php endif; ?>
	                    </div>
	                </div>
	            	<?php endforeach; ?>
	            </div>
	            <div class="th-icon-box testi-1">
	                <button data-slick-prev="#testi1" class="icon-btn arrow-left"><i class="far fa-chevron-left"></i></button>
	                <button data-slick-next="#testi1" class="icon-btn arrow-right"><i class="far fa-chevron-right"></i></button>
	            </div>
	        </div>
		<?php
		}else{
			echo '<div class="row th-carousel" data-slide-show="1" data-fade="true">';
                foreach( $settings['slides'] as $singleslide ) {
					echo '<div class="col-12">';
		                echo '<div class="testi-box">';
		                	if( ! empty( $singleslide['client_image']['url'] ) ){
			                    echo '<div class="testi-box_img">';
			                        echo taxiar_img_tag( array(
										'url'	=> esc_url( $singleslide['client_image']['url'] ),
									) );
			                        echo '<div class="testi-box_icon">';
			                            echo '<img src="'.TAXIAR_PLUGDIRURI . 'assets/img/quotes_1.svg" alt="quote icon">';
			                        echo '</div>';
			                    echo '</div>';
			                }

		                    echo '<div class="testi-box_content">';
		                        if( ! empty( $singleslide['client_feedback'] ) ) {
			                        echo '<p class="testi-box_text">'.wp_kses_post( $singleslide['client_feedback'] ).'</p>';
			                    }
			                    if( ! empty( $singleslide['client_name'] ) ) {
			                        echo '<h3 class="testi-box_name">'.esc_html( $singleslide['client_name'] ).'</h3>';
			                    }
			                    if( ! empty( $singleslide['client_designation'] ) ) {
			                        echo '<span class="testi-box_desig">'.wp_kses_post( $singleslide['client_designation'] ).'</span>';
			                    }
		                        echo '<div class="testi-box_review">';
                            		if( $singleslide['client_rating'] == 'one' ){
					                	echo '<i class="fas fa-star"></i>';
						                echo '<i class="far fa-star"></i>';
						                echo '<i class="far fa-star"></i>';
						                echo '<i class="far fa-star"></i>';
						                echo '<i class="far fa-star"></i>';
					                }elseif( $singleslide['client_rating'] == 'two' ){
					                	echo '<i class="fas fa-star"></i>';
						                echo '<i class="fas fa-star"></i>';
						                echo '<i class="far fa-star"></i>';
						                echo '<i class="far fa-star"></i>';
						                echo '<i class="far fa-star"></i>';
					                }elseif( $singleslide['client_rating'] == 'three' ){
					                	echo '<i class="fas fa-star"></i>';
						                echo '<i class="fas fa-star"></i>';
						                echo '<i class="fas fa-star"></i>';
						                echo '<i class="far fa-star"></i>';
						                echo '<i class="far fa-star"></i>';
					                }elseif( $singleslide['client_rating'] == 'four' ){
					                	echo '<i class="fas fa-star"></i>';
						                echo '<i class="fas fa-star"></i>';
						                echo '<i class="fas fa-star"></i>';
						                echo '<i class="fas fa-star"></i>';
						                echo '<i class="far fa-star"></i>';
					                }else{
					                	echo '<i class="fas fa-star"></i>';
						                echo '<i class="fas fa-star"></i>';
						                echo '<i class="fas fa-star"></i>';
						                echo '<i class="fas fa-star"></i>';
						                echo '<i class="fas fa-star"></i>';
					                }  
                                echo '</div>';
		                    echo '</div>';
		                echo '</div>';
		            echo '</div>';
		        }
            echo '</div>';
		}
		echo '<!-----------------------End Testimonials Area----------------------->';
	}

}