<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * CTA Widget .
 *
 */
class taxiar_Cta extends Widget_Base {

	public function get_name() {
		return 'taxiarcta';
	}
	public function get_title() {
		return __( 'CTA', 'taxiar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'taxiar' ];
	}

	protected function register_controls() {


		 $this->start_controls_section(
			'section_title_section',
			[
				'label'		 	=> __( 'CTA', 'taxiar' ),
				'tab' 			=> Controls_Manager::TAB_CONTENT,
				
			]
        );

		$this->add_control(
			'layout_style',
			[
				'label' 		=> __( 'Layout Style', 'taxiar' ),
				'type' 			=> Controls_Manager::SELECT,
				'default' 		=> '1',
				'options' 		=> [
					'1'  		=> __( 'Style One', 'taxiar' ),					
					'2'  		=> __( 'Style Two', 'taxiar' ),					
				],
			]
		);

		$this->add_control(
			'image',
			[
				'label'     => __( 'Image', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
			]
		);
        $this->add_control(
			'image2',
			[
				'label'     => __( 'Image 2', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
			]
		);
        $this->add_control(
			'image3',
			[
				'label'     => __( 'Image 3', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
				'condition' => [
					'layout_style' => ['2']
				]
			]
		);
		$this->add_control(
			'title',
            [
				'label'         => __( 'Title', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( 'title here' , 'taxiar' ),
				'label_block'   => true,
				'rows' => '2',
			]
		);
		$this->add_control(
			'desc',
            [
				'label'         => __( 'Description', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( 'Description here' , 'taxiar' ),
				'label_block'   => true,
				'rows' => '4',
				'condition' => [
					'layout_style' => ['2']
				]
			]
		);
		$this->add_control(
			'features',
            [
				'label'         => __( 'Features', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( '' , 'taxiar' ),
				'label_block'   => true,
				'rows' => '5',
				'condition' => [
					'layout_style' => ['2']
				]
			]
		);

		$this->add_control(
			'button_text',
			[
				'label' 	=> __( 'Button Text', 'taxiar' ),
                'type' 		=> Controls_Manager::TEXT,
                'label_block' => true,
                'default'  	=> __( 'Button Text', 'taxiar' ),
			]
        );
        $this->add_control(
			'button_link',
			[
				'label' 		=> __( 'Link', 'taxiar' ),
				'type' 			=> Controls_Manager::URL,
				'placeholder' 	=> __( 'https://your-link.com', 'taxiar' ),
				'show_external' => true,
				'default' 		=> [
					'url' 			=> '#',
					'is_external' 	=> false,
					'nofollow' 		=> false,
				],
			]
		); 
		$this->add_control(
			'button_text2',
			[
				'label' 	=> __( 'Button Text', 'taxiar' ),
                'type' 		=> Controls_Manager::TEXT,
                'label_block' => true,
                'default'  	=> __( 'Button Text', 'taxiar' ),
				'condition' => [
					'layout_style' => ['2']
				]
			]
        );

        $this->add_control(
			'button_link2',
			[
				'label' 		=> __( 'Link', 'taxiar' ),
				'type' 			=> Controls_Manager::URL,
				'placeholder' 	=> __( 'https://your-link.com', 'taxiar' ),
				'show_external' => true,
				'default' 		=> [
					'url' 			=> '#',
					'is_external' 	=> false,
					'nofollow' 		=> false,
				],
				'condition' => [
					'layout_style' => ['2']
				]
			]
		); 

        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Title Style-------
		taxiar_common_style_fields( $this, 'title', 'Title', '{{WRAPPER}} .title' );
		taxiar_common_style_fields( $this, 'desc2', 'Description', '{{WRAPPER}} .desc', ['2'] );
		//------Button Style-------
		taxiar_button_style_fields( $this, '10', 'Button Styling', '{{WRAPPER}} .th_btn' );
		taxiar_button_style_fields( $this, '11', 'Button 2 Styling', '{{WRAPPER}} .th_btn2', ['2'] );

	}

	protected function render() {

	$settings = $this->get_settings_for_display();
	?>

        <?php if( $settings['layout_style'] == '2' ): ?>
			<?php
			echo '<div class="cta6-area space position-relative overflow-hidden" data-bg-src="'.esc_url( $settings['image']['url'] ).'">';
				echo '<div class="container">';
					echo '<div class="row align-items-end">';
						echo '<div class="col-lg-6 mb-5 mb-lg-0">';
							echo '<div class="title-area mb-0 text-lg-start text-center">';
								echo '<div class="cta-offer">';
									if(!empty($settings['title'])){
										echo '<h3 class="box-title title">'.wp_kses_post($settings['title']).'</h3>';
									}
									if(!empty($settings['desc'])){
										echo '<p class="box-text desc">'.wp_kses_post($settings['desc']).'</p>';
									}
								echo '</div>';
							echo '</div>';
							if(!empty($settings['features'])){
								echo '<div class="checklist style3">'.wp_kses_post($settings['features']).'</div>';
							}
							echo '<div class="btn-group mt-45">';
								if(!empty($settings['button_text'])){
									echo '<a href="'.esc_url( $settings['button_link']['url'] ).'" class="th-btn th_btn style3 radius-btn">'.wp_kses_post($settings['button_text']).'</a>';
								}
								if(!empty($settings['button_text2'])){
									echo '<a href="'.esc_url( $settings['button_link2']['url'] ).'" class="th-btn th_btn2 style8 radius-btn">'.wp_kses_post($settings['button_text2']).'</a>';
								}
							echo '</div>';
						echo '</div>';
						echo '<div class="col-lg-6">';
							if(!empty($settings['image2']['url'])){
							echo '<div class="cta6-image">';
								echo taxiar_img_tag( array(
									'url'   => esc_url( $settings['image2']['url'] ),
								));
							echo '</div>';
							}
						echo '</div>';
					echo '</div>';
				echo '</div>';
				if(!empty($settings['image3']['url'])){
				echo '<div class="cta6-bg-img">';
					echo taxiar_img_tag( array(
						'url'   => esc_url( $settings['image3']['url'] ),
					));
				echo '</div>';
				}
			echo '</div>';
			?>
    	<?php else: ?>
			<div class="cta-area-2 text-center text-lg-start">
				<div class="cta-bg-thumb">
					<?php echo taxiar_img_tag( array(
							'url'   => esc_url( $settings['image']['url'] ),
						)); ?>
				</div>
				<div class="container">
					<div class="row justify-content-between align-items-center">
						<div class="col-xl-6 col-lg-6">
							<div class="title-area mb-lg-0">
								<h2 class="sec-title text-white title"><?php echo esc_html($settings['title']); ?></h2>
							</div>
						</div>
						<div class="col-lg-auto">
							<a href="<?php echo esc_url( $settings['button_link']['url'] ); ?>" class="th-btn cta-btn th_btn" data-bg-src="<?php echo esc_url( $settings['image2']['url']); ?>"><?php echo wp_kses_post($settings['button_text']); ?></a>
						</div>
					</div>
				</div>
			</div>

		<?php endif;

	}

}