<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Repeater;
use \Elementor\Group_Control_Border;
use \Elementor\Group_Control_Background;
/**
 * 
 * Footer Widgets .
 *
 */
class Taxiar_Footer_Widgets extends Widget_Base {

	public function get_name() {
		return 'taxiarfooterwidgets';
	}
	public function get_title() {
		return __( 'Footer Widgets', 'taxiar' ); 
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'taxiar' ];
	}
	
	protected function register_controls() {

		$this->start_controls_section(
			'layout_section',
			[
				'label'     => __( 'Footer Widget Style', 'taxiar' ),
				'tab'       => Controls_Manager::TAB_CONTENT,
			]
        );

		taxiar_select_field( $this, 'layout_style', 'Layout Style', [ 'Style One', 'Style Two' ] );

        taxiar_media_fields( $this, 'logo', 'Choose Logo', ['1'] );
		taxiar_general_fields( $this, 'title', 'Title', 'TEXT', 'Title', ['2'] );
		taxiar_general_fields( $this, 'desc', 'Description', 'TEXTAREA', '', ['1', '2'] );
		taxiar_general_fields( $this, 'desc2', 'Description', 'TEXTAREA', '', ['1'] );
        taxiar_social_fields( $this, 'social_icon_list', 'Social Media', ['1'] );
		taxiar_general_fields( $this, 'newsletter_placeholder', 'Placeholder', 'TEXT', 'Enter Email', ['2'] );
		taxiar_general_fields( $this, 'newsletter_button', 'Subscribe Button', 'TEXT', '<i class="fa-solid fa-paper-plane"></i>', ['2'] );

        // taxiar_common_repeater_field($this, 'Contact Info', [ 'title', 'icon2', 'text'  ], ['3', '4']);

        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------Title Style-------
		taxiar_common_style_fields( $this, 'title', 'Title', '{{WRAPPER}} .title2', ['2' ] );

		//-------Description Style-------
		taxiar_common_style_fields( $this, 'desc', 'Description', '{{WRAPPER}} .desc', ['1', '2'] );

	}

	protected function render() {

        $settings = $this->get_settings_for_display();

		if( $settings['layout_style'] == '1' ){
            echo '<div class="widget footer-widget">';
                echo '<div class="th-widget-about">';
                    if(!empty($settings['logo']['url'])){
                        echo '<div class="about-logo">';
                            echo '<a href="'.esc_url( home_url('/') ).'">';
                                echo taxiar_img_tag( array(
                                    'url'   => esc_url( $settings['logo']['url'] ),
                                ));
                            echo '</a>';
                        echo '</div>';
                    }
                    if($settings['desc']){
                        echo '<p class="about-text desc">'.wp_kses_post($settings['desc']).'</p>';
                    }
                    if($settings['desc2']){
                        echo '<div class="working-time">'.wp_kses_post($settings['desc2']).'</div>';
                    }
                    echo '<div class="th-social  footer-social">';
                        foreach( $settings['social_icon_list'] as $social_icon ){
                            $social_target    = $social_icon['icon_link']['is_external'] ? ' target="_blank"' : '';
                            $social_nofollow  = $social_icon['icon_link']['nofollow'] ? ' rel="nofollow"' : '';

                            echo '<a '.wp_kses_post( $social_target.$social_nofollow ).' href="'.esc_url( $social_icon['icon_link']['url'] ).'">';

                            \Elementor\Icons_Manager::render_icon( $social_icon['social_icon'], [ 'aria-hidden' => 'true' ] );

                            echo '</a> ';
                        }
                    echo '</div>'; 
                echo '</div>';
            echo '</div>';

		}elseif( $settings['layout_style'] == '2' ){
            echo '<div class="widget footer-widget">';
                if($settings['title']){
                    echo '<h3 class="widget_title title2">'.wp_kses_post($settings['title']).'</h3>';
                }
                echo '<div class="newsletter-widget">';
                    if($settings['desc']){
                        echo '<p class="md-20 desc">'.wp_kses_post($settings['desc']).'</p>';
                    }
                    echo '<div class="footer-search-contact mt-25">';
                        echo '<div class="form-group">';
                            echo '<input class="form-control" type="email" placeholder="'.esc_attr( $settings['newsletter_placeholder'] ).'" required="">';
                        echo '</div>';
                        echo '<div class="footer-btn mt-10">';
                            echo '<button type="submit" class="th-btn style3 fw-btn">'.wp_kses_post( $settings['newsletter_button'] ).'</button>';
                        echo '</div>';
                    echo '</div>';
                echo '</div>';
            echo '</div>';

		}elseif( $settings['layout_style'] == '3' ){
 
        }
	

	}
}
						