<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Offer Widget .
 *
 */
class Taxiar_Offer extends Widget_Base {

	public function get_name() {
		return 'taxiaroffer';
	}
	public function get_title() {
		return __( 'Offer', 'taxiar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'taxiar' ];
	}

	protected function register_controls() {

		 $this->start_controls_section(
			'section_title_section',
			[
				'label'		 	=> __( 'Offer Box', 'taxiar' ),
				'tab' 			=> Controls_Manager::TAB_CONTENT,
				
			]
        );

		$this->add_control(
			'layout_style',
			[
				'label' 		=> __( 'Layout Style', 'taxiar' ),
				'type' 			=> Controls_Manager::SELECT,
				'default' 		=> '1',
				'options' 		=> [
					'1'  		=> __( 'Style One', 'taxiar' ),						
				],
			]
		);

		$this->add_control(
			'image',
			[
				'label' 		=> __( 'Choose Image', 'taxiar' ),
				'type' 			=> Controls_Manager::MEDIA,
				'dynamic' 		=> [
					'active' 		=> true,
				],
			]
		);  
		$this->add_control(
			'title',
            [
				'label'         => __( 'Title', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( 'Need Help? We Are Here To Help You' , 'taxiar' ),
				'label_block'   => true,
				'rows' 		=> 3,
			]
		);
		$this->add_control(
			'title2',
            [
				'label'         => __( 'Title 2', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( 'TAXIAR SPECIAL' , 'taxiar' ),
				'label_block'   => true,
				'rows' 		=> 3,
			]
		);
		$this->add_control(
			'title3',
            [
				'label'         => __( 'Title 3', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( 'Save up to 60% off' , 'taxiar' ),
				'label_block'   => true,
				'rows' 		=> 3,
			]
		);
		$this->add_control(
			'button_text',
			[
				'label' 	=> esc_html__( 'Button Text', 'taxiar' ),
                'type' 		=> Controls_Manager::TEXT,
                'default'  	=> esc_html__( 'Apply Now', 'taxiar' ),
				'label_block' => true,
				'separator' => 'before'
			]
        );
        $this->add_control(
			'button_link',
			[
				'label' 		=> esc_html__( 'Button Link', 'taxiar' ),
				'type' 			=> Controls_Manager::URL,
				'placeholder' 	=> esc_html__( 'https://your-link.com', 'taxiar' ),
				'show_external' => true,
				'default' 		=> [
					'url' 			=> '#',
					'is_external' 	=> false,
					'nofollow' 		=> false,
				],
			]
		);

        $this->end_controls_section();


        //---------------------------------------
			//Style Section Start
		//---------------------------------------
		

	}

	protected function render() {

        $settings = $this->get_settings_for_display();

        if( $settings['layout_style'] == '2' ){

        }else{
            echo '<div class="widget widget_offer style2  ">';
                echo '<div class="offer-banner">';
                    if(!empty($settings['image']['url'])){
                        echo '<div class="banner-logo">';
                            echo taxiar_img_tag( array(
                                'url'   => esc_url( $settings['image']['url'] ),
                            ));
                        echo '</div>';
                    }
                    if(!empty($settings['title'])){
                        echo '<h5 class="banner-title2 text-white">'.wp_kses_post($settings['title']).'</h5>';
                    }
                    echo '<div class="offer">';
                        if(!empty($settings['title2'])){
                            echo '<h6 class="offer-title">'.wp_kses_post($settings['title2']).'</h6>';
                        }
                        if(!empty($settings['title3'])){
                            echo '<p class="offer-text">'.wp_kses_post($settings['title3']).'</p>';
                        }
                    echo '</div>';
                    if(!empty($settings['button_text'])){
                        echo '<a href="'.esc_url( $settings['button_link']['url'] ).'" class="th-btn">'.esc_html( $settings['button_text'] ).'</a>';
                    }
                echo '</div>';
            echo '</div>';

        }


	}

}