<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Repeater;
use \Elementor\Utils;
use \Elementor\Group_Control_Border;
/**
 *
 * Section Widget.
 *
 */
class Taxiar_Section extends Widget_Base {

	public function get_name() {
		return 'taxiarSection';
	}
	public function get_title() {
		return __( 'Section Widgets', 'taxiar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'taxiar_header_elements' ];
	}

    public function get_as_contact_form(){
        if ( ! class_exists( 'WPCF7' ) ) {
            return;
        }
        $as_cfa         = array();
        $as_cf_args     = array( 'posts_per_page' => -1, 'post_type'=> 'wpcf7_contact_form' );
        $as_forms       = get_posts( $as_cf_args );
        $as_cfa         = ['0' => esc_html__( 'Select Form', 'taxiar' ) ];
        if( $as_forms ){
            foreach ( $as_forms as $as_form ){
                $as_cfa[$as_form->ID] = $as_form->post_title;
            }
        }else{
            $as_cfa[ esc_html__( 'No contact form found', 'taxiar' ) ] = 0;
        }
        return $as_cfa;
    }

	protected function register_controls() {

		$this->start_controls_section(
			'Section_section',
			[
				'label' 	=> __( 'Section Widgets', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
			]
        );

		$this->add_control(
			'layout_style',
			[
				'label' 		=> __( 'Layout Style', 'taxiar' ),
				'type' 			=> Controls_Manager::SELECT,
				'default' 		=> '1',
				'options' 		=> [
					'1'  		=> __( 'Hero Section', 'taxiar' ),
					'2'  		=> __( 'About Section', 'taxiar' ),
					'3'  		=> __( 'Portfolio Section', 'taxiar' ),
					'4'  		=> __( 'Skills Section', 'taxiar' ),
					// '5'  		=> __( 'NavMenu Section', 'taxiar' ),
					'6'  		=> __( 'Contact Section', 'taxiar' ),
					'7'  		=> __( 'Footer Section', 'taxiar' ),
				],
			]
		);

        $this->add_control( 
			'arrow_id', [
				'label' 		=> __( 'Arrow ID', 'taxiar' ),
				'type' 			=> Controls_Manager::TEXTAREA,
				'default' 		=> __( '' , 'taxiar' ),
				'description' 	=> __( 'use id name for onepage menu scroll working. Same id in fixed nav menu. (not use #)' , 'taxiar' ),
				'rows' 			=> 2,
			]
        );

        taxiar_media_fields( $this, 'bg', 'Choose Background', ['1'] );
		taxiar_media_fields( $this, 'image', 'Choose Image', ['1', '2', '4', '7'] );
		taxiar_media_fields( $this, 'image4', 'Choose Image', ['2'] );
        taxiar_general_fields( $this, 'number', 'Number', 'TEXTAREA2', '1996', ['2'] );
        taxiar_general_fields( $this, 'content', 'Content', 'TEXTAREA2', 'Started Journey', ['2'] );
        taxiar_url_fields( $this, 'video_url', 'Video URL', ['2'] );
		taxiar_media_fields( $this, 'image2', 'Choose Shape', ['1'] );
		taxiar_media_fields( $this, 'image3', 'Choose Shape', ['1'] ); 

		taxiar_general_fields( $this, 'subtitle', 'Subtitle', 'TEXTAREA', 'Welcome To Taxiar', ['1', '2', '3', '4', '6'] );
		taxiar_general_fields( $this, 'title', 'Title', 'TEXTAREA', 'Section Title' );
        taxiar_url_fields( $this, 'driver_url', 'Driver URL', ['7'] );
		taxiar_general_fields( $this, 'desc', 'Description', 'TEXTAREA', 'Welcome To Taxiar', ['7'] );

		taxiar_general_fields( $this, 'button_text', 'Button Text', 'TEXT', 'Discover More', ['1', '2'] );
		taxiar_url_fields( $this, 'button_url', 'Button URL', ['1', '2'] );
        taxiar_general_fields( $this, 'phone', 'Phone/Content', 'TEXTAREA', '', ['2'] );
		taxiar_general_fields( $this, 'button_text2', 'Button Text', 'TEXT', 'Watch The Video', ['1'] );
		taxiar_url_fields( $this, 'button_url2', 'Button URL', ['1'] );
        taxiar_social_fields( $this, 'social_lists', 'Social Lists', ['1', '7'] );
        taxiar_general_fields( $this, 'copy', 'Footer Text', 'TEXTAREA', '© 2024 Taxiar. All Rights Reserved.', ['7'] );

        $fields_to_include = [ 'image' => ['Choose Image'], 'title' => ['Title'], 'desc' => ['Description'] ];
		taxiar_repeater_fields( $this, 'feature_lists', 'Features List', $fields_to_include, [ '3' ] ); 

        $fields_to_include44 = [ 'title' => ['Title', 'Number'] ];
		taxiar_repeater_fields( $this, 'skill_lists', 'Skill Lists', $fields_to_include44, [ '4' ] ); 

        taxiar_general_fields( $this, 'title2', 'Title', 'TEXTAREA2', 'Additional Skills', ['4'] );
        taxiar_general_fields( $this, 'desc2', 'Description', 'TEXTAREA', '', ['4'] );

        $fields_to_include45 = [ 'title' => ['Title', 'Number'] ];
		taxiar_repeater_fields( $this, 'skill_lists2', 'Circle Lists', $fields_to_include45, [ '4' ] ); 

        taxiar_media_fields( $this, 'quote_image', 'Quote Icon', ['6'] );

		$repeater = new Repeater();

		taxiar_media_fields( $repeater, 'client_bg', 'Client Background' );
		taxiar_media_fields( $repeater, 'client_image', 'Client Image' );
		taxiar_general_fields( $repeater, 'client_name', 'Client Name', 'TEXT', 'Alex Michel' );
		taxiar_general_fields( $repeater, 'client_desig', 'Client Designation', 'TEXT', 'Ui/Ux Designer' );
		taxiar_general_fields( $repeater, 'client_feedback', 'Client Feedback', 'TEXTAREA', 'Our knowledgeable technicians are happy to provide tips' );

		taxiar_select_field( $repeater, 'client_rating', 'Client Rating', [ 'One Star', 'Two Star', 'Three Star', 'Four Star', 'Five Star' ] );

		$this->add_control(
			'slides',
			[
				'label' 		=> __( 'Testimonial Slides', 'taxiar' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'client_image'	=> Utils::get_placeholder_image_src(),
					],
				],
				'title_field' 	=> '{{{ client_name }}}',
                'condition'		=> [ 
					'layout_style' => ['6']
				],
			]
		);

		$this->end_controls_section();

        $this->start_controls_section(
			'about_section',
			[
				'label' 	=> __( 'About Info Section', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
                'condition'		=> [ 
					'layout_style' => ['2']
				],
			]
        );

        $fields_to_include3 = [ 'title' => ['Title', 'Content'] ];
		taxiar_repeater_fields( $this, 'about_info', 'About Info List', $fields_to_include3 );

        $fields_to_include4 = [ 'title' => ['Title', 'Content'] ];
		taxiar_repeater_fields( $this, 'about_info2', 'About Info List', $fields_to_include4 );

		$this->end_controls_section();

        $this->start_controls_section(
			'counter_section',
			[
				'label' 	=> __( 'Counter Section', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
                'condition'		=> [ 
					'layout_style' => ['2']
				],
			]
        );

        $fields_to_include2 = [ 'title' => ['Counter Number', 'Counter Number After'], 'desc' => ['Counter Text'] ];
		taxiar_repeater_fields( $this, 'counter_list', 'Counter List', $fields_to_include2 );

		$this->end_controls_section();

        $this->start_controls_section(
			'contact_section',
			[
				'label' 	=> __( 'Contact Section', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
                'condition'		=> [ 
					'layout_style' => ['6']
				],
			]
        );

        taxiar_general_fields( $this, 'form_title', 'Form Title', 'TEXTAREA2', 'Get In Touch' );

        $this->add_control(
            'taxiar_select_contact_form',
            [
                'label'   => esc_html__( 'Select Form', 'taxiar' ),
                'type'    => Controls_Manager::SELECT,
                'default' => '0',
                'options' => $this->get_as_contact_form(),
            ]
        );

        taxiar_general_fields( $this, 'subtitle22', 'Subtitle', 'TEXTAREA', 'Welcome To Taxiar' );
		taxiar_general_fields( $this, 'title22', 'Title', 'TEXTAREA', 'Section Title' );
		taxiar_general_fields( $this, 'desc22', 'Description', 'TEXTAREA', '' );

        $fields_to_include33 = [ 'title' => ['Title', 'Content'] ];
		taxiar_repeater_fields( $this, 'feature_info', 'Feature List', $fields_to_include33 );

        taxiar_social_fields( $this, 'social_lists2', 'Social Lists' );

        taxiar_media_fields( $this, 'shape11', 'Choose Shape' );

		$this->end_controls_section();

        $this->start_controls_section(
			'shape_section',
			[
				'label' 	=> __( 'Shape Images', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_CONTENT,
                'condition'		=> [ 
					'layout_style' => ['2', '3', '4']
				],
			]
        );

        taxiar_media_fields( $this, 'shape1', 'Choose Shape' );
		taxiar_media_fields( $this, 'shape2', 'Choose Shape' );

        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		taxiar_common_style_fields( $this, 'subtitle', 'Section Subtitle', '{{WRAPPER}} .sub', ['1', '2', '3', '4', '5', '6'] );
		taxiar_common_style_fields( $this, 'title', 'Section Title', '{{WRAPPER}} .title', ['1', '2', '3', '4', '5', '6'] );

		taxiar_common_style_fields( $this, '1', 'Review Name', '{{WRAPPER}} .name', ['6'] );
		taxiar_common_style_fields( $this, '2', 'Review Designation', '{{WRAPPER}} .desig', ['6'] );
		taxiar_common_style_fields( $this, '3', 'Review Text', '{{WRAPPER}} .text', ['6'] );

		taxiar_common_style_fields( $this, 'subtitle2', 'Section Subtitle 2', '{{WRAPPER}} .sub3', ['6'] );
		taxiar_common_style_fields( $this, 'title4', 'Section Title 2', '{{WRAPPER}} .title3', ['6'] );

        taxiar_common_style_fields( $this, 'desc', 'Description', '{{WRAPPER}} .desc', ['6'] );
        taxiar_common_style_fields( $this, '4', 'Features Title', '{{WRAPPER}} .contact-item .box-title', ['6'] );
        taxiar_common_style_fields( $this, '5', 'Features Text', '{{WRAPPER}} .contact-item .box-text', ['6'] );
		taxiar_common_style_fields( $this, 'title42', 'Form Title', '{{WRAPPER}} .form-title', ['6'] );
		taxiar_common_style_fields( $this, '6', 'Counter Number', '{{WRAPPER}} .about-counter_number', ['2'] );
		taxiar_common_style_fields( $this, '7', 'Counter Title', '{{WRAPPER}} .about-counter_text', ['2'] );
		//-------Label/Client title Style-------
		taxiar_common_style_fields( $this, 'label', 'Video Label', '{{WRAPPER}} .btn-title.popup-video', ['1'], '--white-color' );
		taxiar_common_style_fields( $this, 'title3', 'Title', '{{WRAPPER}} .title2', ['3', '4'] );
		taxiar_common2_style_fields( $this, 'title33', 'Author Title', '{{WRAPPER}} .author-name a', ['7'] );
		taxiar_common_style_fields( $this, 'desc2', 'Description', '{{WRAPPER}} .desc2', ['3', '4', '7'] );

		//------Button Style-------
		taxiar_button_style_fields( $this, '10', 'Button Styling', '{{WRAPPER}} .th_btn', ['1', '2'] );

    }

	protected function render() {

    $settings = $this->get_settings_for_display();

        if( $settings['layout_style'] == '1' ){
            echo '<div class="main-content hero-11 section-item" id="'.esc_attr($settings['arrow_id']).'" data-bg-src="'.esc_url($settings['bg']['url']).'">';
                echo '<div class="container">';
                    echo '<div class="row align-items-center">';
                        echo '<div class="col-xl-6">';
                            echo '<div class="hero-style11">';
                                if(!empty($settings['subtitle'])){
                                    echo '<span class="hero-subtitle2 sub">';
                                        echo wp_kses_post($settings['subtitle']);
                                    echo '</span>';
                                }
                                if(!empty($settings['title'])){
                                echo '<h1 class="hero-title title">'.wp_kses_post($settings['title']).'</h1>';
                                }
                                echo '<div class="btn-group">';
                                    if(!empty($settings['button_text'])){
                                        echo '<a href="'.esc_url( $settings['button_url']['url'] ).'" class="th-btn th_btn style3 radius-btn3">'.wp_kses_post($settings['button_text']).'</a>';
                                    }
                                    if(!empty($settings['button_text2'])){
                                    echo '<div class="call-btn">';
                                        if(!empty($settings['button_url2']['url'])){
                                            echo '<a href="'.esc_url( $settings['button_url2']['url'] ).'" class="play-btn popup-video"><i class="fas fa-play"></i></a>';
                                        }
                                        echo '<div class="media-body">';
                                            echo '<a href="'.esc_url( $settings['button_url2']['url'] ).'" class="btn-title popup-video">'.wp_kses_post($settings['button_text2']).'</a>';
                                        echo '</div>';
                                    echo '</div>';
                                    }
                                echo '</div>';
                                echo '<div class="hero-social-wrapp">';
                                    echo '<div class="hero-social">';
                                        foreach( $settings['social_lists'] as $social_icon ){
                                            $social_target    = $social_icon['icon_link']['is_external'] ? ' target="_blank"' : '';
                                            $social_nofollow  = $social_icon['icon_link']['nofollow'] ? ' rel="nofollow"' : '';

                                            echo '<a '.wp_kses_post( $social_target.$social_nofollow ).' href="'.esc_url( $social_icon['icon_link']['url'] ).'">';

                                            \Elementor\Icons_Manager::render_icon( $social_icon['social_icon'], [ 'aria-hidden' => 'true' ] );
                        
                                            echo '</a> ';
                                        }
                                    echo '</div>';
                                echo '</div>';
                            echo '</div>';
                        echo '</div>';
                        echo '<div class="col-xl-6">';
                            echo '<div class="hero-img-1">';
                                    if(!empty($settings['image']['url'])){
                                    echo '<div class="thumb">';
                                        echo taxiar_img_tag( array(
                                            'url'   => esc_url( $settings['image']['url']  ),
                                        ));
                                    echo '</div>';
                                    }
                                    if(!empty($settings['image2']['url'])){
                                    echo '<div class="hero-shape">';
                                        echo taxiar_img_tag( array(
                                            'url'   => esc_url( $settings['image2']['url']  ),
                                        ));
                                    echo '</div>';
                                    }
                                    if(!empty($settings['image3']['url'])){
                                    echo '<div class="hero-shape2">';
                                        echo taxiar_img_tag( array(
                                            'url'   => esc_url( $settings['image3']['url']  ),
                                        ));
                                    echo '</div>';
                                    }
                            echo '</div>';
                        echo '</div>';
                    echo '</div>';
                echo '</div>';
            echo '</div>';

        }elseif( $settings['layout_style'] == '2' ){
            echo '<div class="main-content section-item about-area1" id="'.esc_attr($settings['arrow_id']).'">';
                echo '<div class="container">';
                    echo '<div class="main-area">'; 
                        echo '<div class="row">';
                            echo '<div class="col-xl-6">';
                                echo '<div class="about-portfolio-image pe-xl-5">';
                                        if(!empty($settings['image']['url'])){
                                        echo '<div class="img1">';
                                            echo taxiar_img_tag( array(
                                                'url'   => esc_url( $settings['image']['url']  ),
                                            ));
                                        echo '</div>';
                                        }
                                    echo '<div class="journey-box">';
                                        if(!empty($settings['number'])){
                                            echo '<span class="journey-year">'.wp_kses_post($settings['number']).'</span>';
                                        }
                                        if(!empty($settings['content'])){
                                        echo '<h3 class="journey-title">'.wp_kses_post($settings['content']).'</h3>';
                                        }
                                    echo '</div>';
                                    echo '<div class="img2">';
                                        echo taxiar_img_tag( array(
                                            'url'   => esc_url( $settings['image4']['url']  ),
                                        ));
                                        if(!empty($settings['video_url']['url'])){
                                            echo '<a href="'.esc_url( $settings['video_url']['url'] ).'" class="play-btn popup-video"><i class="fas fa-play"></i></a>';
                                        }
                                    echo '</div>';
                                echo '</div>';
                            echo '</div>';
                            echo '<div class="col-xl-6">';
                                echo '<div class="title-area style3 mb-20">';
                                    if(!empty($settings['subtitle'])){
                                        echo '<span class="hero-subtitle2 sub">';
                                            echo wp_kses_post($settings['subtitle']);
                                        echo '</span>';
                                    }
                                    if(!empty($settings['title'])){
                                        echo '<h1 class="sec-title title">'.wp_kses_post($settings['title']).'</h1>';
                                    }
                                echo '</div>';
                                echo '<div class="about-list-wrapper">';
                                    echo '<table class="about-list">';
                                        echo '<tbody>';
                                            foreach( $settings['about_info'] as $data ){
                                            echo '<tr>';
                                                if(!empty($settings['title'])){
                                                echo '<td class="title">'.wp_kses_post( $data['title'] ).'</td>';
                                                }
                                                if(!empty($settings['content'])){
                                                echo '<td>'.wp_kses_post( $data['content'] ).'</td>';
                                                }
                                            echo '</tr>';
                                            }
                                        echo '</tbody>';
                                    echo '</table>';
                                    echo '<div class="about-line"></div>';
                                    echo '<table class="about-list">';
                                        echo '<tbody>';
                                            foreach( $settings['about_info2'] as $data ){
                                            echo '<tr>';
                                                if(!empty($settings['title'])){
                                                echo '<td class="title">'.wp_kses_post( $data['title'] ).'</td>';
                                                }
                                                if(!empty($settings['content'])){
                                                echo '<td>'.wp_kses_post( $data['content'] ).'</td>';
                                                }
                                            echo '</tr>';
                                            }
                                        echo '</tbody>';
                                    echo '</table>';
                                echo '</div>';
                                echo '<div class="about-counter-wrap">';
                                    foreach( $settings['counter_list'] as $data ){
                                    echo '<div class="about-counter wow fadeInUp">';
                                        echo '<h3 class="about-counter_number">'.wp_kses_post( $data['counter_number'] ).'<span class="text">'.wp_kses_post( $data['counter_number_after'] ).'</span></h3>';
                                        if(!empty($data['counter_text'])){
                                        echo '<p class="about-counter_text">'.wp_kses_post( $data['counter_text'] ).'</p>';
                                        }
                                    echo '</div>';
                                    }
                                echo '</div>';
                                echo '<div class="btn-group about-btn mt-60">';
                                    if(!empty($settings['button_text'])){
                                        echo '<a href="'.esc_url( $settings['button_url']['url'] ).'" class="th-btn th_btn style3 radius-btn3">'.wp_kses_post($settings['button_text']).'</a>';
                                    }
                                    if(!empty($settings['phone'])){
                                    echo '<div class="call-btn">';
                                        echo wp_kses_post($settings['phone']);
                                    echo '</div>';
                                    }
                                echo '</div>';
                            echo '</div>';
                        echo '</div>';
                        echo '<div class="border-gradient"></div>';
                        if(!empty($settings['shape1']['url'])){
                        echo '<div class="shape-mockup d-none d-xl-block" data-top="12%" data-right="-4%">';
                            echo taxiar_img_tag( array(
                                'url'   => esc_url( $settings['shape1']['url']  ),
                            ));
                        echo '</div>';
                        }
                        if(!empty($settings['shape2']['url'])){
                        echo '<div class="shape-mockup d-none d-xl-block" data-bottom="0%" data-left="-4%">';
                            echo taxiar_img_tag( array(
                                'url'   => esc_url( $settings['shape2']['url']  ),
                            ));
                        echo '</div>';
                        }
                    echo '</div>';
                echo '</div>';
            echo '</div>';

        }elseif( $settings['layout_style'] == '3' ){
            echo '<div class="main-content section-item  about-area1" id="'.esc_attr($settings['arrow_id']).'">';
                echo '<div class="container">';
                    echo '<div class="main-area">';
                        echo '<div class="title-area text-center style3">';
                            if(!empty($settings['subtitle'])){
                                echo '<span class="hero-subtitle2 sub">';
                                    echo wp_kses_post($settings['subtitle']);
                                echo '</span>';
                            }
                            if(!empty($settings['title'])){
                                echo '<h1 class="sec-title title">'.wp_kses_post($settings['title']).'</h1>';
                            }
                        echo '</div>';
                        echo '<div class="row gallery-row portfolio-filter-active">';
                            foreach( $settings['feature_lists'] as $data ){
                                echo '<div class="col-md-6 col-xxl-auto filter-item">';
                                    echo '<div class="gallery-card style3">';
                                        echo '<div class="gallery-img">';
                                            echo taxiar_img_tag( array(
                                                'url'   => esc_url( $data['choose_image']['url'] ),
                                            ));
                                        echo '</div>';
                                        echo '<div class="gallery-content">';
                                            if(!empty($data['title'])){
                                                echo '<h2 class="gallery-title title2">'.wp_kses_post($data['title']).'</h2>';
                                            }
                                            if(!empty($data['description'])){
                                                echo '<p class="gallery-text desc2">'.wp_kses_post($data['description']).'</p>';
                                            }
                                        echo '</div>';
                                    echo '</div>';
                                echo '</div>';
                            }
                        echo '</div>';
                        echo '<div class="border-gradient"></div>';
                                if(!empty($settings['shape1']['url'])){
                                echo '<div class="shape-mockup d-none d-xl-block" data-top="12%" data-right="-4%">';
                                    echo taxiar_img_tag( array(
                                        'url'   => esc_url( $settings['shape1']['url']  ),
                                    ));
                                echo '</div>';
                                }
                                if(!empty($settings['shape2']['url'])){
                                echo '<div class="shape-mockup d-none d-xl-block" data-bottom="0%" data-left="-10%">';
                                    echo taxiar_img_tag( array(
                                        'url'   => esc_url( $settings['shape2']['url']  ),
                                    ));
                                echo '</div>';
                                }
                    echo '</div>';
                echo '</div>';
            echo '</div>';

        }elseif( $settings['layout_style'] == '4' ){
            echo '<div class="main-content about-area1 section-item" id="'.esc_attr($settings['arrow_id']).'">';
                echo '<div class="container">';
                    echo '<div class="main-area skill-area3">';
                        echo '<div class="row align-items-center">';
                            echo '<div class="col-xl-6">';
                                echo '<div class="pe-xl-4">';
                                    echo '<div class="title-area style3 mb-40">';
                                        if(!empty($settings['subtitle'])){
                                            echo '<span class="hero-subtitle2 sub">';
                                                echo wp_kses_post($settings['subtitle']);
                                            echo '</span>';
                                        }
                                        if(!empty($settings['title'])){
                                            echo '<h2 class="sec-title title">'.wp_kses_post($settings['title']).'</h2>';
                                        }
                                    echo '</div>';
                                    echo '<div class="skill-content-area">';
                                        foreach( $settings['skill_lists'] as $data ){
                                        echo '<div class="skill-feature style3">';
                                            echo '<h3 class="skill-feature_title">'.esc_attr($data['title']).'</h3>';
                                            echo '<div class="progress">';
                                                echo '<div class="progress-bar" style="width: '.esc_attr($data['number']).'%;"></div>';
                                                echo '<div class="progress-value">'.esc_attr($data['number']).'%</div>';
                                            echo '</div>';
                                        echo '</div>';
                                        }
                                    echo '</div>';
                                    echo '<div class="feature-title-area">';
                                        if(!empty($settings['title2'])){
                                            echo '<h3 class="box-title title2">'.wp_kses_post($settings['title2']).'</h3>';
                                        }
                                        if(!empty($settings['desc2'])){
                                            echo '<p class="sec-desc desc2">'.wp_kses_post($settings['desc2']).'</p>';
                                        }
                                    echo '</div>';
                                    echo '<div class="feature-circle-wrap">';
                                        foreach( $settings['skill_lists2'] as $data ){
                                        echo '<div class="feature-circle">';
                                            echo '<div class="progressbar" data-path-color="#E30D16">';
                                                echo '<div class="circle" data-percent="'.esc_attr($data['number']).'">';
                                                    echo '<div class="circle-num">'.esc_attr($data['number']).'%</div>';
                                                    echo '<span class="box-text">'.esc_attr($data['title']).'</span>';
                                                echo '</div>';
                                            echo '</div>';
                                        echo '</div>';
                                        }
                                    echo '</div>';
                                echo '</div>';
                            echo '</div>';
                            echo '<div class="col-xl-6">';
                                if(!empty($settings['image']['url'])){
                                echo '<div class="skill-image">';
                                    echo taxiar_img_tag( array(
                                        'url'   => esc_url( $settings['image']['url']  ),
                                    ));
                                echo '</div>';
                                }
                            echo '</div>';
                        echo '</div>';
                        echo '<div class="border-gradient"></div>';
                        if(!empty($settings['shape1']['url'])){
                        echo '<div class="shape-mockup d-none d-xl-block" data-top="5%" data-right="-4%">';
                            echo taxiar_img_tag( array(
                                'url'   => esc_url( $settings['shape1']['url']  ),
                            ));
                        echo '</div>';
                        }
                        if(!empty($settings['shape2']['url'])){
                        echo '<div class="shape-mockup d-none d-xl-block" data-bottom="12%" data-left="-4%">';
                            echo taxiar_img_tag( array(
                                'url'   => esc_url( $settings['shape2']['url']  ),
                            ));
                        echo '</div>';
                        }
                    echo '</div>';
                echo '</div>';
            echo '</div>';

        }elseif( $settings['layout_style'] == '5' ){

        }elseif( $settings['layout_style'] == '6' ){
            echo '<div class="section-item" id="'.esc_attr($settings['arrow_id']).'">';
                echo '<div class="testimonial-sec4 z-index-common">';
                    echo '<div class="container">';
                       echo ' <div class="row justify-content-center justify-content-lg-between align-items-center">';
                            echo '<div class="col-lg-6">';
                                echo '<div class="title-area style3 text-center text-lg-start">';
                                    if(!empty($settings['subtitle'])){
                                        echo '<span class="hero-subtitle2 sub">';
                                            echo wp_kses_post($settings['subtitle']);
                                        echo '</span>';
                                    }
                                    if(!empty($settings['title'])){
                                        echo '<h2 class="sec-title title">'.wp_kses_post($settings['title']).'</h2>';
                                    }
                                echo '</div>';
                            echo '</div>';
                            echo '<div class="col-auto">';
                                echo '<div class="sec-btn">';
                                    echo '<div class="icon-box">';
                                        echo '<button data-slick-prev="#testi-slide-1" class="slick-arrow default"><i class="far fa-arrow-left"></i></button>';
                                        echo '<button data-slick-next="#testi-slide-1" class="slick-arrow default"><i class="far fa-arrow-right"></i></button>';
                                    echo '</div>';
                                echo '</div>';
                            echo '</div>';
                        echo '</div>';
                    echo '</div>';
                echo '</div>';

                echo '<div class="main-content about-area1 space">';
                    echo '<div class="container">';
                        echo '<div class="main-area">';
                            echo '<div class="border-gradient"></div>';
                            echo '<div class="row slider-shadow th-carousel testimonial-slider4" id="testi-slide-1" data-slide-show="2" data-lg-slide-show="2" data-md-slide-show="1">';
                                foreach( $settings['slides'] as $data ){
                                echo '<div class="col-md-6 col-xl-4">';
                                    echo '<div class="testi-card style4 wow fadeInRight">';
                                        if(!empty($data['client_bg']['url'])){
                                            echo '<div class="testi-card_image">';
                                                echo taxiar_img_tag( array(
                                                    'url'	=> esc_url( $data['client_bg']['url'] ),
                                                ) );
                                            echo '</div>';
                                            }
                                        echo '<div class="testi-card_content">';
                                            if(!empty($settings['quote_image']['url'])){
                                                echo '<div class="testi-card_quote">';
                                                    echo taxiar_img_tag( array(
                                                        'url'	=> esc_url( $settings['quote_image']['url'] ), 
                                                    ) ); 
                                                echo '</div>';
                                            }
                                            echo '<div class="testi-card_wrapper">';
                                                echo '<div class="testi-card_profile">';
                                                    if(!empty($data['client_image']['url'])){
                                                    echo '<div class="testi-card_img">';
                                                        echo taxiar_img_tag( array(
                                                            'url'	=> esc_url( $data['client_image']['url'] ),
                                                        ) );
                                                    echo '</div>';
                                                    }
                                                    echo '<div class="testi-card_info">';
                                                        if(!empty($data['client_name'])){
                                                            echo '<h3 class="testi-card_name name">'.wp_kses_post( $data['client_name'] ).'</h3>';
                                                        }
                                                        if(!empty($data['client_desig'])){
                                                            echo '<span class="testi-card_desig desig">'.wp_kses_post( $data['client_desig'] ).'</span>';
                                                        }
                                                    echo '</div>';
                                                echo '</div>';
                                                echo '<div class="testi-review">';
                                                    if( $data['client_rating'] == '1' ){
                                                        echo '<i class="fa-solid fa-star"></i>';
                                                        echo '<i class="fa-regular fa-star"></i>';
                                                        echo '<i class="fa-regular fa-star"></i>';
                                                        echo '<i class="fa-regular fa-star"></i>';
                                                        echo '<i class="fa-regular fa-star"></i>';
                                                    }elseif( $data['client_rating'] == '2' ){
                                                        echo '<i class="fa-solid fa-star"></i>';
                                                        echo '<i class="fa-solid fa-star"></i>';
                                                        echo '<i class="fa-regular fa-star"></i>';
                                                        echo '<i class="fa-regular fa-star"></i>';
                                                        echo '<i class="fa-regular fa-star"></i>';
                                                    }elseif( $data['client_rating'] == '3' ){
                                                        echo '<i class="fa-solid fa-star"></i>';
                                                        echo '<i class="fa-solid fa-star"></i>';
                                                        echo '<i class="fa-solid fa-star"></i>';
                                                        echo '<i class="fa-regular fa-star"></i>';
                                                        echo '<i class="fa-regular fa-star"></i>';
                                                    }elseif( $data['client_rating'] == '4' ){
                                                        echo '<i class="fa-solid fa-star"></i>';
                                                        echo '<i class="fa-solid fa-star"></i>';
                                                        echo '<i class="fa-solid fa-star"></i>';
                                                        echo '<i class="fa-solid fa-star"></i>';
                                                        echo '<i class="fa-regular fa-star"></i>';
                                                    }else{
                                                        echo '<i class="fa-solid fa-star"></i>';
                                                        echo '<i class="fa-solid fa-star"></i>';
                                                        echo '<i class="fa-solid fa-star"></i>';
                                                        echo '<i class="fa-solid fa-star"></i>';
                                                        echo '<i class="fa-solid fa-star"></i>';
                                                    }
                                                echo '</div>';
                                            echo '</div>';
                                            if(!empty($data['client_feedback'])){
                                                echo '<p class="testi-card_text text">'.wp_kses_post( $data['client_feedback'] ).'</p>';
                                            }
                                        echo '</div>';
                                    echo '</div>';
                                echo '</div>';
                                }
                            echo '</div>';
                            echo '<div class="row justify-content-center">';
                                echo '<div class="col-lg-6">';
                                    echo '<div class="contact-form5 ajax-contact">';
                                        if(!empty($settings['form_title'])){
                                        echo '<div class="title-area mb-35 text-center text-xl-start">';
                                            echo '<h2 class="sec-title form-title">'.wp_kses_post($settings['form_title']).'</h2>';
                                        echo '</div>';
                                        }
                                        if( !empty($settings['taxiar_select_contact_form']) ){
                                            echo do_shortcode( '[contact-form-7  id="'.$settings['taxiar_select_contact_form'].'"]' ); 
                                        }else{
                                            echo '<div class="alert alert-warning"><p class="m-0">' . __('Please Select contact form.', 'taxiar' ). '</p></div>';
                                        }
                                    echo '</div>';
                                echo '</div>';
                                echo '<div class="col-lg-6">';
                                    echo '<div class="ps-xl-5">';
                                        echo '<div class="title-area style3 mb-30">';
                                            if(!empty($settings['subtitle22'])){
                                                echo '<span class="hero-subtitle2 sub3">';
                                                    echo wp_kses_post($settings['subtitle22']);
                                                echo '</span>';
                                            }
                                            if(!empty($settings['title22'])){
                                                echo '<h2 class="sec-title title3">'.wp_kses_post($settings['title22']).'</h2>';
                                            }
                                            if(!empty($settings['desc22'])){
                                                echo '<p class="desc">'.wp_kses_post($settings['desc22']).'</p>';
                                            }
                                           
                                        echo '</div>';
                                        echo '<div class="contact-item-wrapp">';
                                            foreach( $settings['feature_info'] as $data ){
                                            echo '<div class="contact-item">';
                                                if(!empty($data['title'])){
                                                echo '<h3 class="box-title">'.wp_kses_post( $data['title'] ).'</h3>';
                                                }
                                                if(!empty($data['content'])){
                                                echo '<p class="box-text desc">'.wp_kses_post( $data['content'] ).'</p>';
                                                }
                                            echo '</div>';
                                            }
                                        echo '</div>';
                                        echo '<div class="contact-social">';
                                            echo '<div class="th-social style3">';
                                                foreach( $settings['social_lists2'] as $social_icon ){
                                                    $social_target    = $social_icon['icon_link']['is_external'] ? ' target="_blank"' : '';
                                                    $social_nofollow  = $social_icon['icon_link']['nofollow'] ? ' rel="nofollow"' : '';
        
                                                    echo '<a '.wp_kses_post( $social_target.$social_nofollow ).' href="'.esc_url( $social_icon['icon_link']['url'] ).'">';
        
                                                    \Elementor\Icons_Manager::render_icon( $social_icon['social_icon'], [ 'aria-hidden' => 'true' ] );
                                
                                                    echo '</a> ';
                                                }
                                            echo '</div>';
                                        echo '</div>';
                                    echo '</div>';
                                echo '</div>';
                            echo '</div>';
                            if(!empty($settings['shape11']['url'])){
                            echo '<div class="contact-shape">';
                                echo taxiar_img_tag( array(
                                    'url'   => esc_url( $settings['shape11']['url']  ),
                                ));
                            echo '</div>';
                            }
                            if(!empty($settings['shape1']['url'])){
                            echo '<div class="shape-mockup d-none d-xl-block" data-top="-4%" data-left="-1%">';
                                echo taxiar_img_tag( array(
                                    'url'   => esc_url( $settings['shape1']['url']  ),
                                ));
                            echo '</div>';
                            }
                            if(!empty($settings['shape2']['url'])){
                            echo '<div class="shape-mockup d-none d-xl-block" data-bottom="27%" data-left="-4%">';
                                echo taxiar_img_tag( array(
                                    'url'   => esc_url( $settings['shape2']['url']  ),
                                ));
                            echo '</div>';
                            }
                        echo '</div>';
                    echo '</div>';
                echo '</div>';
            echo '</div>';

        }elseif( $settings['layout_style'] == '7' ){
            echo '<div class="footer-wrapper footer-layout11 bg" id="'.esc_attr($settings['arrow_id']).'">';
                echo '<div class="container">';
                    echo '<div class="row justify-content-center">';
                        echo '<div class="driver-author">';
                            if(!empty($settings['image']['url'])){
                            echo '<div class="author-image">';
                                echo taxiar_img_tag( array(
                                    'url'   => esc_url( $settings['image']['url']  ),
                                ));
                            echo '</div>';
                            }
                            echo '<div class="media-body">';
                                if(!empty($settings['title'])){
                                    echo '<h3 class="author-name title"><a class="text-inherit" href="'.esc_url( $settings['driver_url']['url'] ).'">'.wp_kses_post($settings['title']).'</a></h3>';
                                }
                                if(!empty($settings['desc'])){
                                    echo '<p class="author-text desc2">'.wp_kses_post($settings['desc']).'</p>';
                                }
                                echo '<ul class="social-links">';
                                    foreach( $settings['social_lists'] as $social_icon ){
                                        $social_target    = $social_icon['icon_link']['is_external'] ? ' target="_blank"' : '';
                                        $social_nofollow  = $social_icon['icon_link']['nofollow'] ? ' rel="nofollow"' : '';

                                        echo '<li><a '.wp_kses_post( $social_target.$social_nofollow ).' href="'.esc_url( $social_icon['icon_link']['url'] ).'">';

                                        \Elementor\Icons_Manager::render_icon( $social_icon['social_icon'], [ 'aria-hidden' => 'true' ] );
                    
                                        echo '</a></li>';
                                    }
                                echo '</ul>';
                            echo '</div>';
                        echo '</div>';
                    echo '</div>';
                echo '</div>';
                if(!empty($settings['copy'])){
                echo '<div class="main-content about-area1">';
                    echo '<div class="container">';
                        echo '<div class="copyright-wrap">';
                            echo '<div class="main-area">';
                                echo '<div class="border-gradient"></div>';
                                echo '<div class="container">';
                                    echo '<p class="copyright-text">'.wp_kses_post($settings['copy']).'</p>';
                                echo '</div>';
                            echo '</div>';
                        echo '</div>';
                    echo '</div>';
                echo '</div>';
                }
            echo '</div>';

        }
 
		
	}

}