<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Step Widget .
 *
 */
class taxiar_Step extends Widget_Base {

	public function get_name() {
		return 'taxiarstep';
	}
	public function get_title() {
		return __( 'Step/Process', 'taxiar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'taxiar' ];
	}

	protected function register_controls() {

		 $this->start_controls_section(
			'section_title_section',
			[
				'label'		 	=> __( 'Steps', 'taxiar' ),
				'tab' 			=> Controls_Manager::TAB_CONTENT,
			]
        );

		$this->add_control(
			'layout_style',
			[
				'label' 		=> __( 'Layout Style', 'taxiar' ),
				'type' 			=> Controls_Manager::SELECT,
				'default' 		=> '1',
				'options' 		=> [
					'1'  		=> __( 'Style One', 'taxiar' ),					
					'2'  		=> __( 'Style Two', 'taxiar' ),					
					'3'  		=> __( 'Style Three', 'taxiar' ),					
				],
			]
		);

		$this->add_control(
			'image',
			[
				'label'     => __( 'Line', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
				'condition'	=> [
					'layout_style' => ['1']
				]
			]
		);

		taxiar_general_fields( $this, 'title', 'Title', 'TEXTAREA', 'Booking Process', ['3'] );

		taxiar_media_fields( $this, 'image1', 'Choose Image', ['3'] );
		taxiar_media_fields( $this, 'image2', 'Choose Image', ['3'] );
		taxiar_media_fields( $this, 'image3', 'Choose Image', ['3'] );

		$repeater = new Repeater();

		$repeater->add_control(
			'shape',
			[
				'label'     => __( 'Shape', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
			]
		);

		$repeater->add_control(
			'icon',
			[
				'label'     => __( 'Icon', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
			]
		);

		$repeater->add_control(
			'title',
			[
				'label' 	=> __( 'Title', 'taxiar' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( 'Online Quote', 'taxiar' )
			]
        );

		$repeater->add_control(
			'desc',
			[
				'label' 	=> __( 'Description', 'taxiar' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 4,
                'default'  	=> __( 'Description here', 'taxiar' )
			]
        );

		$repeater->add_control(
			'number',
			[
				'label' 	=> __( 'Number', 'taxiar' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( '01', 'taxiar' )
			]
        );

		$this->add_control(
			'info_lists',
			[
				'label' 		=> __( 'Info Lists', 'taxiar' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title'    => __( 'Online Quote', 'taxiar' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['1'],
				]
			]
		);

		$repeater2 = new Repeater();

		$repeater2->add_control(
			'title',
			[
				'label' 	=> __( 'Title', 'taxiar' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( 'STEP ONE', 'taxiar' )
			]
        );

		$repeater2->add_control(
			'desc',
			[
				'label' 	=> __( 'Description', 'taxiar' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 4,
                'default'  	=> __( 'Description here', 'taxiar' )
			]
        );

		$repeater2->add_control(
			'number',
			[
				'label' 	=> __( 'Number', 'taxiar' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( '01', 'taxiar' )
			]
        );

		$this->add_control(
			'info_lists_2',
			[
				'label' 		=> __( 'Step Lists', 'taxiar' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater2->get_controls(),
				'default' 		=> [
					[
						'title'    => __( 'STEP ONE', 'taxiar' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['2'],
				]
			]
		);

		$repeater3 = new Repeater();

		$repeater3->add_control(
			'icon',
			[
				'label'     => __( 'Icon', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
			]
		);
		$repeater3->add_control(
			'title',
			[
				'label' 	=> __( 'Title', 'taxiar' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 2,
                'default'  	=> __( 'STEP ONE', 'taxiar' )
			]
        );
		$repeater3->add_control(
			'desc',
			[
				'label' 	=> __( 'Description', 'taxiar' ),
                'type' 		=> Controls_Manager::TEXTAREA,
                'rows' 		=> 4,
                'default'  	=> __( 'Description here', 'taxiar' )
			]
        );
		$repeater3->add_control(
			'link',
			[
				'label' 		=> __( 'Link', 'taxiar' ),
				'type' 			=> Controls_Manager::URL,
				'placeholder' 	=> __( 'https://your-link.com', 'taxiar' ),
				'show_external' => true,
				'default' 		=> [
					'url' 			=> '#',
					'is_external' 	=> false,
					'nofollow' 		=> false,
				],
			]
		);
		$this->add_control(
			'info_lists_3',
			[
				'label' 		=> __( 'Step Lists', 'taxiar' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater3->get_controls(),
				'default' 		=> [
					[
						'title'    => __( 'STEP ONE', 'taxiar' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['3'],
				]
			]
		);

        $this->end_controls_section();


        //---------------------------------------
			//Style Section Start
		//---------------------------------------
		
		//-------Title Style-------
		taxiar_common_style_fields( $this, 'title2', 'Section Title', '{{WRAPPER}} .sec-title', ['3'] );
		taxiar_common_style_fields( $this, 'title', 'Title', '{{WRAPPER}} .title' );
		taxiar_common_style_fields( $this, 'desc', 'Description', '{{WRAPPER}} .desc' );

	}

	protected function render() {

	$settings = $this->get_settings_for_display();
	?>

        <?php if( $settings['layout_style'] == '2' ): ?>
			<div class="service-process-wrap style2">
				<?php foreach( $settings['info_lists_2'] as $data ): ?>
				<div class="service-process">
					<div class="service-process_num"><?php echo esc_html($data['number']); ?></div>
					<h5 class="service-process_title title"><?php echo esc_html($data['title']); ?></h5>
					<p class="service-process_text desc"><?php echo esc_html($data['desc']); ?></p>
				</div>
				<?php endforeach; ?>
			</div>

		<?php elseif( $settings['layout_style'] == '3' ): ?>

			<?php 
				if(!empty($settings['title'])){
					echo '<div class="title-area style2 text-center">';
						echo '<h2 class="sec-title">'.wp_kses_post($settings['title']).'</h2>';
					echo '</div>';
				}
				echo '<div class="booking-line-area">';
					if(!empty($settings['image1']['url'])){
					echo '<div class="line-1">';
						echo taxiar_img_tag( array(
							'url'   => esc_url( $settings['image1']['url']  ),
						));
					echo '</div>';
					}
					if(!empty($settings['image2']['url'])){
					echo '<div class="line-2">';
						echo taxiar_img_tag( array(
							'url'   => esc_url( $settings['image2']['url']  ),
						));
					echo '</div>';
					}
					if(!empty($settings['image3']['url'])){
					echo '<div class="line-3">';
						echo taxiar_img_tag( array(
							'url'   => esc_url( $settings['image3']['url']  ),
						));
					echo '</div>';
					}

					echo '<div class="row gy-4 gx-40 justify-content-center align-items-center">';
						foreach( $settings['info_lists_3'] as $data ){
						echo '<div class="col-md-6 col-lg-4">';
							echo '<div class="booking-process">';
								if(!empty($data['icon']['url'])){
									echo '<div class="booking-process_img style2">';
										echo taxiar_img_tag( array(
											'url'   => esc_url( $data['icon']['url']  ),
										));
									echo '</div>';
								}
								echo '<div class="booking-process_content">';
									if(!empty($data['title'])){
									echo '<h3 class="box-title title"><a href="'.esc_url( $data['link']['url'] ).'">'.wp_kses_post($data['title']).'</a></h3>';
									}
									if(!empty($data['desc'])){
									echo '<p class="booking-process_text desc">'.wp_kses_post($data['desc']).'</p>';
									}
								echo '</div>';
							echo '</div>';
						echo '</div>';
						}
					echo '</div>';
				echo '</div>';
			?>
			
    	<?php else: ?>
			<div class="process-box-wrapper style2">
                <div class="row gy-30 justify-content-center">
					<?php foreach( $settings['info_lists'] as $data ): ?>
                    <div class="col-md-6 col-lg-4">
                        <div class="process-item" data-bg-src="<?php echo esc_url( $data['shape']['url'] ); ?>">
							<?php if(!empty(esc_url( $data['icon']['url']))): ?>
                            <div class="process-item_icon">
								<?php echo taxiar_img_tag( array(
									'url'   => esc_url( $data['icon']['url'] ),
								)); ?>
                            </div>
							<?php endif; ?>
                            <h3 class="process-item_title title"><?php echo esc_html($data['title']); ?></h3>
                            <p class="process-item_text desc"><?php echo esc_html($data['desc']); ?></p>
							<?php if(!empty(esc_html($data['number']))): ?>
                            <span class="process-item_num"><?php echo esc_html($data['number']); ?></span>
							<?php endif; ?>
                        </div>
                    </div>
					<?php endforeach; ?>
                    <span class="process-line">
						<?php echo taxiar_img_tag( array(
							'url'   => esc_url( $settings['image']['url']  ),
						)); ?>
                    </span>
                </div>
            </div>

		<?php endif;

	}

}