<?php
use \Elementor\Widget_Base;
use \Elementor\Controls_Manager;
use \Elementor\Group_Control_Typography;
use \Elementor\Utils;
use \Elementor\Group_Control_Image_Size;
use \Elementor\Group_Control_Box_Shadow;
use \Elementor\Group_Control_Border;
use \Elementor\Repeater;
/**
 *
 * Taxi Service Widget .
 *
 */
class Taxiar_Taxi_Service extends Widget_Base {

	public function get_name() {
		return 'taxiartaxiservice';
	}
	public function get_title() {
		return __( 'Taxi Service', 'taxiar' );
	}
	public function get_icon() {
		return 'th-icon';
    }
	public function get_categories() {
		return [ 'taxiar' ];
	}

	protected function register_controls() {

		 $this->start_controls_section(
			'service_section',
			[
				'label'     => __( 'Taxi Service', 'taxiar' ),
				'tab'       => Controls_Manager::TAB_CONTENT,
			]
        );

		$this->add_control(
			'layout_style',
			[
				'label' 	=> __( 'Taxi Service Style', 'taxiar' ),
				'type' 		=> Controls_Manager::SELECT,
				'default' 	=> '1',
				'options' 	=> [
					'1'  		=> __( 'Style One', 'taxiar' ),
					'2'  		=> __( 'Style Two', 'taxiar' ),
					'3'  		=> __( 'Style Three', 'taxiar' ),
				],
			]
		);

		$repeater = new Repeater();

		$repeater->add_control(
			'image',
			[
				'label'     => __( 'Image', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
				'default' 		=> [
					'url' 		=> Utils::get_placeholder_image_src(),
				],
			]
		);

        $repeater->add_control(
			'title',
            [
				'label'         => __( 'Title', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( 'Title' , 'taxiar' ),
				'label_block'   => true,
				'rows' => '2'
			]
		);

        $repeater->add_control(
			'desc',
            [
				'label'         => __( 'Description', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( 'Description' , 'taxiar' ),
				'label_block'   => true,
				'rows' => '2'
			]
		);

        $repeater->add_control(
			'feature_icon',
			[
				'label'     => __( 'Feature Icon 1', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
			]
		);
        $repeater->add_control(
			'feature_label',
            [
				'label'         => __( 'Feature Label 1', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( '' , 'taxiar' ),
				'label_block'   => true,
				'rows' => '2'
			]
		);
        $repeater->add_control(
			'feature_content',
            [
				'label'         => __( 'Feature Value 1', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( '' , 'taxiar' ),
				'label_block'   => true,
				'rows' => '2'
			]
		);

        $repeater->add_control(
			'feature_icon2',
			[
				'label'     => __( 'Feature Icon 2', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
			]
		);
        $repeater->add_control(
			'feature_label2',
            [
				'label'         => __( 'Feature Label 2', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( '' , 'taxiar' ),
				'label_block'   => true,
				'rows' => '2'
			]
		);
        $repeater->add_control(
			'feature_content2',
            [
				'label'         => __( 'Feature Value 2', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( '' , 'taxiar' ),
				'label_block'   => true,
				'rows' => '2'
			]
		);

        $repeater->add_control(
			'feature_icon3',
			[
				'label'     => __( 'Feature Icon 3', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
			]
		);
        $repeater->add_control(
			'feature_label3',
            [
				'label'         => __( 'Feature Label 3', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( '' , 'taxiar' ),
				'label_block'   => true,
				'rows' => '2'
			]
		);
        $repeater->add_control(
			'feature_content3',
            [
				'label'         => __( 'Feature Value 3', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( '' , 'taxiar' ),
				'label_block'   => true,
				'rows' => '2'
			]
		);
        
        $repeater->add_control(
			'feature_icon4',
			[
				'label'     => __( 'Feature Icon 4', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
			]
		);
        $repeater->add_control(
			'feature_label4',
            [
				'label'         => __( 'Feature Label 4', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( '' , 'taxiar' ),
				'label_block'   => true,
				'rows' => '2'
			]
		);
        $repeater->add_control(
			'feature_content4',
            [
				'label'         => __( 'Feature Value 4', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( '' , 'taxiar' ),
				'label_block'   => true,
				'rows' => '2'
			]
		);

		$repeater->add_control(
			'button_text',
			[
				'label' 	=> __( 'Button Text', 'taxiar' ),
                'type' 		=> Controls_Manager::TEXT,
                'label_block' => true,
                'default'  	=> __( 'Read More', 'taxiar' )
			]
        );

        $repeater->add_control(
			'button_link',
			[
				'label' 		=> __( 'Button Link', 'taxiar' ),
				'type' 			=> Controls_Manager::URL,
				'placeholder' 	=> __( 'https://your-link.com', 'taxiar' ),
				'show_external' => true,
				'default' 		=> [
					'url' 			=> '#',
					'is_external' 	=> false,
					'nofollow' 		=> false,
				],
			]
		);

		$this->add_control(
			'taxi_service_lists',
			[
				'label' 		=> __( 'Taxi Service Lists', 'taxiar' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title' 		=> __( 'BMW X6 2013', 'taxiar' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['1', '2'],
				]
			]
		);

		
		$repeater = new Repeater();

		$repeater->add_control(
			'image',
			[
				'label'     => __( 'Image', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
				'default' 		=> [
					'url' 		=> Utils::get_placeholder_image_src(),
				],
			]
		);

        $repeater->add_control(
			'title',
            [
				'label'         => __( 'Title', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( 'Title' , 'taxiar' ),
				'label_block'   => true,
				'rows' => '2'
			]
		);

        $repeater->add_control(
			'desc',
            [
				'label'         => __( 'Description', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( 'Description' , 'taxiar' ),
				'label_block'   => true,
				'rows' => '2'
			]
		);

        $repeater->add_control(
			'feature_icon',
			[
				'label'     => __( 'Feature Icon 1', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
			]
		);
        $repeater->add_control(
			'feature_label',
            [
				'label'         => __( 'Feature Label 1', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( '' , 'taxiar' ),
				'label_block'   => true,
				'rows' => '2'
			]
		);
        $repeater->add_control(
			'feature_icon2',
			[
				'label'     => __( 'Feature Icon 2', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
			]
		);
        $repeater->add_control(
			'feature_label2',
            [
				'label'         => __( 'Feature Label 2', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( '' , 'taxiar' ),
				'label_block'   => true,
				'rows' => '2'
			]
		);
        $repeater->add_control(
			'feature_icon3',
			[
				'label'     => __( 'Feature Icon 3', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
			]
		);
        $repeater->add_control(
			'feature_label3',
            [
				'label'         => __( 'Feature Label 3', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( '' , 'taxiar' ),
				'label_block'   => true,
				'rows' => '2'
			]
		);
        $repeater->add_control(
			'feature_icon4',
			[
				'label'     => __( 'Feature Icon 4', 'taxiar' ),
				'type'      => Controls_Manager::MEDIA,
				'dynamic'   => [
					'active' => true,
				],
			]
		);
        $repeater->add_control(
			'feature_label4',
            [
				'label'         => __( 'Feature Label 4', 'taxiar' ),
				'type'          => Controls_Manager::TEXTAREA,
				'default'       => __( '' , 'taxiar' ),
				'label_block'   => true,
				'rows' => '2'
			]
		);
		$repeater->add_control(
			'button_text',
			[
				'label' 	=> __( 'Button Text', 'taxiar' ),
                'type' 		=> Controls_Manager::TEXT,
                'label_block' => true,
                'default'  	=> __( 'Read More', 'taxiar' )
			]
        );
        $repeater->add_control(
			'button_link',
			[
				'label' 		=> __( 'Button Link', 'taxiar' ),
				'type' 			=> Controls_Manager::URL,
				'placeholder' 	=> __( 'https://your-link.com', 'taxiar' ),
				'show_external' => true,
				'default' 		=> [
					'url' 			=> '#',
					'is_external' 	=> false,
					'nofollow' 		=> false,
				],
			]
		);

		$this->add_control(
			'taxi_service_lists2',
			[
				'label' 		=> __( 'Taxi Service Lists', 'taxiar' ),
				'type' 			=> Controls_Manager::REPEATER,
				'fields' 		=> $repeater->get_controls(),
				'default' 		=> [
					[
						'title' 		=> __( 'BMW X6 2013', 'taxiar' ),
					],
				],
				'condition'	=> [
					'layout_style' => ['3'],
				]
			]
		);

        $this->end_controls_section();

        //---------------------------------------
			//Style Section Start
		//---------------------------------------

		//-------------------------Content Style-----------------------//
		$this->start_controls_section(
			'tab_styling',
			[
				'label' 	=> __( 'Content Styling', 'taxiar' ),
				'tab' 		=> Controls_Manager::TAB_STYLE,
			]
		);

		$this->start_controls_tabs(
			'style_tabs'
		);

			$this->start_controls_tab(
				'first_style_tab',
				[
					'label' => esc_html__( 'Title', 'taxiar' ),
				]
			);

			$this->add_control(
				'first_tab_color',
				[
					'label' 		=> __( 'Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th-title a'	=> 'color: {{VALUE}}!important;',
					],
				]
			);
			
			$this->add_control(
				'first_tab_color2',
				[
					'label' 		=> __( 'Hover Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th-title a:hover'	=> 'color: {{VALUE}}!important;',
					],
				]
			);

			$this->add_group_control(
			Group_Control_Typography::get_type(),
					[
					'name' 			=> 'first_tab_typography',
						'label' 		=> __( 'Typography', 'taxiar' ),
						'selector' 	=> '{{WRAPPER}} .th-title',
				]
			);

			$this->add_responsive_control(
				'first_tab_margin',
				[
					'label' 		=> __( 'Margin', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-title' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->add_responsive_control(
				'first_tab_padding',
				[
					'label' 		=> __( 'Padding', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-title' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->end_controls_tab();

			//--------------------secound--------------------//
			$this->start_controls_tab(
				'sec_style_tab',
				[
					'label' => esc_html__( 'Content', 'taxiar' ),
				]
			);

			$this->add_control(
				'sec_tab_color',
				[
					'label' 		=> __( 'Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .th-desc'	=> 'color: {{VALUE}}!important;',
					],
				]
			);

			$this->add_group_control(
			Group_Control_Typography::get_type(),
					[
					'name' 			=> 'sec_tab_typography',
						'label' 		=> __( 'Typography', 'taxiar' ),
						'selector' 	=> '{{WRAPPER}} .th-desc',
				]
			);

			$this->add_responsive_control(
				'sec_tab_margin',
				[
					'label' 		=> __( 'Margin', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-desc' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->add_responsive_control(
				'sec_tab_padding',
				[
					'label' 		=> __( 'Padding', 'taxiar' ),
					'type' 			=> Controls_Manager::DIMENSIONS,
					'size_units' 	=> [ 'px', '%', 'em' ],
					'selectors' 	=> [
						'{{WRAPPER}} .th-desc' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
				]
			);

			$this->end_controls_tab();

			//--------------------threth--------------------//
			$this->start_controls_tab(
				'third_style_tab',
				[
					'label' => esc_html__( 'Features', 'taxiar' ),
				]
			);

			$this->add_control(
				'third_tab_color',
				[
					'label' 		=> __( 'Color', 'taxiar' ),
					'type' 			=> Controls_Manager::COLOR,
					'selectors' 	=> [
						'{{WRAPPER}} .taxi-item_feature, {{WRAPPER}} .service-item-2_feature span'	=> 'color: {{VALUE}}!important;',
					],
				]
			);

			$this->add_group_control(
			Group_Control_Typography::get_type(),
					[
					'name' 			=> 'third_tab_typography',
						'label' 		=> __( 'Typography', 'taxiar' ),
						'selector' 	=> '{{WRAPPER}} .taxi-item_feature, {{WRAPPER}} .service-item-2_feature span',
				]
			);

			$this->end_controls_tab();

		$this->end_controls_tabs();
		$this->end_controls_section();

        
   		//------Button Style-------
		taxiar_button_style_fields( $this, '10', 'Button Styling', '{{WRAPPER}} .th_btn' );

	}

	protected function render() {

        $settings = $this->get_settings_for_display();
    ?>

    <?php if( $settings['layout_style'] == '2' ): ?>
		<div class="row gy-5">
            <?php foreach( $settings['taxi_service_lists'] as $data ): ?>
			<div class="col-md-6 col-lg-6 col-xl-4">
                <div class="taxi-item style2">
                    <div class="taxi-item_img">
                        <?php echo taxiar_img_tag( array(
								'url'   => esc_url( $data['image']['url']  ),
							)); ?>
                    </div>
                    <h3 class="taxi-item_title th-title"><a href="<?php echo esc_url( $data['button_link']['url'] ); ?>"><?php echo esc_html( $data['title'] ); ?></a></h3>
                    <p class="taxi-item_subtitle th-desc"><?php echo esc_html( $data['desc'] ); ?></p>
                    <div class="taxi-item_feature">
                        <span><?php 
                            echo taxiar_img_tag( array(
								'url'   => esc_url( $data['feature_icon']['url']  ),
							)); 
                            echo esc_html( $data['feature_label'] );
                            ?>
                        </span>
                        <span class="taxi-item_price"><?php echo esc_html($data['feature_content']); ?></span>
					</div>
                    <div class="taxi-item_feature">
                        <span><?php 
                            echo taxiar_img_tag( array(
								'url'   => esc_url( $data['feature_icon2']['url']  ),
							)); 
                            echo esc_html( $data['feature_label2'] );
                            ?>
                        </span>
                        <span class="taxi-item_price"><?php echo esc_html($data['feature_content2']); ?></span>
					</div>
                    <div class="taxi-item_feature">
                        <span><?php 
                            echo taxiar_img_tag( array(
								'url'   => esc_url( $data['feature_icon3']['url']  ),
							)); 
                            echo esc_html( $data['feature_label3'] );
                            ?>
                        </span>
                        <span class="taxi-item_price"><?php echo esc_html($data['feature_content3']); ?></span>
					</div>
                    <div class="taxi-item_feature">
                        <span><?php 
                            echo taxiar_img_tag( array(
								'url'   => esc_url( $data['feature_icon4']['url']  ),
							)); 
                            echo esc_html( $data['feature_label4'] );
                            ?>
                        </span>
                        <span class="taxi-item_price"><?php echo esc_html($data['feature_content4']); ?></span>
					</div>
                    <?php if(!empty($data['button_text'])): ?>
                        <a href="<?php echo esc_url( $data['button_link']['url'] ); ?>" class="th-btn fw-btn th_btn"><?php echo wp_kses_post( $data['button_text'] );  ?></a>
                    <?php endif; ?>
                </div>
            </div>
            <?php endforeach; ?>
        </div>

	<?php elseif( $settings['layout_style'] == '3' ): ?>
		<?php
		echo '<div class="row slider-shadow th-carousel" data-slide-show="3" data-lg-slide-show="2" data-md-slide-show="2" data-arrows="true">';
			foreach( $settings['taxi_service_lists2'] as $data ){
				echo '<div class="col-auto">';
					echo '<div class="service-item-2">';
						echo '<div class="service-item-2_img">';
							echo taxiar_img_tag( array(
								'url'   => esc_url( $data['image']['url']  ),
							));
							echo '<a href="taxi-details.html" class="category">Featured</a>';
						echo '</div>';
						echo '<div class="service-item-2_feature_wrapper">';
							echo '<div class="service-item-2_feature">';
								echo '<span>';
									echo taxiar_img_tag( array(
										'url'   => esc_url( $data['feature_icon']['url']  ),
									)); 
									echo esc_html( $data['feature_label'] );
								echo '</span>';
							echo '</div>';
							echo '<div class="service-item-2_feature">';
								echo '<span>';
									echo taxiar_img_tag( array(
										'url'   => esc_url( $data['feature_icon2']['url']  ),
									)); 
									echo esc_html( $data['feature_label2'] );
								echo '</span>';
							echo '</div>';
							echo '<div class="service-item-2_feature">';
								echo '<span>';
									echo taxiar_img_tag( array(
										'url'   => esc_url( $data['feature_icon3']['url']  ),
									)); 
									echo esc_html( $data['feature_label3'] );
								echo '</span>';
							echo '</div>';
							echo '<div class="service-item-2_feature ">';
								echo '<span>';
									echo taxiar_img_tag( array(
										'url'   => esc_url( $data['feature_icon4']['url']  ),
									)); 
									echo esc_html( $data['feature_label4'] );
								echo '</span>';
							echo '</div>';
						echo '</div>';
						echo '<div class="service-item-2_content">';
							echo '<h3 class="box-title th-title"><a href="'.esc_url( $data['button_link']['url'] ).'">'.esc_html( $data['title'] ).'</a></h3>';
							echo '<p class="service-item-2_subtitle th-desc">'.esc_html( $data['desc'] ).'</p>';
							if(!empty($data['button_text'])){
								echo '<a href="'.esc_url( $data['button_link']['url'] ).'" class="th-btn th_btn radius-btn">'.wp_kses_post( $data['button_text'] ).'</a>';
							}
						echo '</div>';
					echo '</div>';
				echo '</div>';
			}
		echo '</div>';
		?>

    <?php else: ?>
        <div class="row slider-shadow th-carousel arrow-wrap" data-slide-show="3" data-lg-slide-show="2" data-md-slide-show="2" data-arrows="true">
            <?php foreach( $settings['taxi_service_lists'] as $data ): ?>
            <div class="col-auto">
                <div class="taxi-item">
                    <div class="taxi-item_img">
                        <?php echo taxiar_img_tag( array(
								'url'   => esc_url( $data['image']['url']  ),
							)); ?>
                    </div>
                    <h3 class="taxi-item_title th-title"><a href="<?php echo esc_url( $data['button_link']['url'] ); ?>"><?php echo esc_html( $data['title'] ); ?></a></h3>
                    <p class="taxi-item_subtitle th-desc"><?php echo esc_html( $data['desc'] ); ?></p>
                    <div class="taxi-item_feature">
                        <span><?php 
                            echo taxiar_img_tag( array(
								'url'   => esc_url( $data['feature_icon']['url']  ),
							)); 
                            echo esc_html( $data['feature_label'] );
                            ?>
                        </span>
                        <span class="taxi-item_price"><?php echo esc_html($data['feature_content']); ?></span>
					</div>
                    <div class="taxi-item_feature">
                        <span><?php 
                            echo taxiar_img_tag( array(
								'url'   => esc_url( $data['feature_icon2']['url']  ),
							)); 
                            echo esc_html( $data['feature_label2'] );
                            ?>
                        </span>
                        <span class="taxi-item_price"><?php echo esc_html($data['feature_content2']); ?></span>
					</div>
                    <div class="taxi-item_feature">
                        <span><?php 
                            echo taxiar_img_tag( array(
								'url'   => esc_url( $data['feature_icon3']['url']  ),
							)); 
                            echo esc_html( $data['feature_label3'] );
                            ?>
                        </span>
                        <span class="taxi-item_price"><?php echo esc_html($data['feature_content3']); ?></span>
					</div>
                    <div class="taxi-item_feature">
                        <span><?php 
                            echo taxiar_img_tag( array(
								'url'   => esc_url( $data['feature_icon4']['url']  ),
							)); 
                            echo esc_html( $data['feature_label4'] );
                            ?>
                        </span>
                        <span class="taxi-item_price"><?php echo esc_html($data['feature_content4']); ?></span>
					</div>
                    <?php if(!empty($data['button_text'])): ?>
                        <a href="<?php echo esc_url( $data['button_link']['url'] ); ?>" class="th-btn fw-btn th_btn"><?php echo wp_kses_post( $data['button_text'] );  ?></a>
                    <?php endif; ?>
                </div>
            </div>
            <?php endforeach; ?>
        </div>

    <?php endif; 

	}

}